Survey for Linux users, which version of Mono do you have installed?

Debian Buster - 5.18.0.240
Synology NAS - 4.6.2

Ubuntu Xenial 4.2.1
and then some text to satisfy the length on posting requirement…

Fedora 30 Server: 5.18.1.3
Debian Buster (Raspbian): 5.18.0.240

Maybe CLRVersion falls to the same fate as (presumably) AppVersion? Regardless, it’d also be nice to know what Duplicati people are running, especially including actual usage of Canary and Experimental, which would give some clue as to whether a given whatever has had enough (or any) outside tests yet. Having a more capable query ability might answer questions like “Who’s on this new canary backend?”
EDIT: Numerically (not personally) speaking, of course.

(above refers to Duplicati versions, but possibly extends to other ones)

If anybody wants to look at (or look at enhancing) some Python code, the usage reporter source is here.

Mono JIT compiler version 6.0.0.313

Do you by any chance have OneDrive to test with? I’m wondering whether this report is reproducible or not:

Mono update breaks OneDrive v2 (talking about 6.0.0.313)

EDIT: put back some auto-deleted text and added versions

Browsing my /var/log/dpkg.log history, it looks like mine was 4.2.1.102+dfsg2-7ubuntu4 which seems right even today for Linux Mint 18.1 which derives from Ubuntu Xenial Xerus (16.04LTS) and uses its packages.

Since then, I’ve updated to test presence (or absence) of issues like Duplicati does not start up #3572 and Error with Debian mono 5.18 #3620, or to attempt to build. Above says Xenial 4.2.1 would be fine, if I had it.

openSUSE Leap 15.1 - Mono JIT compiler version 5.10.1.47

Two instances, same on both: 5.18.0.240

  • On Debian 10.0/buster
  • And on Synology DSM 6.2.2

Thank you for all the responses. It’s quite helpful.

I’m on Ubuntu 18.04, it’s 4.6.2 (Debian 4.6.2.7+dfsg-1ubuntu1)

OpenSUSE Tumbleweed (20190726) - Mono JIT compiler version 5.20.1.19

Archlinux 5.20.1.19-1

Mono JIT compiler version 5.20.1.34

i was using:

Mono JIT compiler version 4.6.2 (Debian 4.6.2.7+dfsg-1ubuntu1)

but i had to go through the process of purging mono stuffs and installing the stable mono repo to get duplicati to work with box.com. now i have:

Mono JIT compiler version 6.0.0.313 (tarball Sun Jul 14 09:57:59 UTC 2019)

https://github.com/duplicati/duplicati/issues/3767#issuecomment-517525034

Yes, I use OneDrive. What do you want to test?

I think the idea was as below:

and I’m not sure if you normally use OneDrive, but if you do, you’re not having the above issue somehow. There have been reports of failure, and they probably don’t need another, but success may be interesting.

mono --version
Mono JIT compiler version 6.0.0.313 (tarball Sun Jul 14 09:55:48 UTC 2019)
Copyright © 2002-2014 Novell, Inc, Xamarin Inc and Contributors. www.mono-project.com

OpenSUSE Tumbleweed (20190806) - Mono JIT compiler version 5.20.1.19 (tarball Wed Jul 17 14:05:12 UTC 2019)

Mono JIT compiler version 6.0.0.319 (tarball Mon Aug 12 23:49:12 UTC 2019)

On Ubuntu 16.04